## org.apache.poi.ss.formula.ptg
Class RangePtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperationPtg
              org.apache.poi.ss.formula.ptg.RangePtg

    public final class RangePtg

extends OperationPtg

Author:
  Daniel Noll (daniel at nuix dot com dot au)

Field Summary
`static OperationPtg` `instance`
`static byte` `sid`
`static int` `SIZE`

Fields inherited from class org.apache.poi.ss.formula.ptg.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`int` `getNumberOfOperands()` The number of operands expected by the operations
`int` `getSize()`
`boolean` `isBaseToken()`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`java.lang.String` `toFormulaString(java.lang.String[] operands)` implementation of method from OperationsPtg
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperationPtg
`getDefaultOperandClass`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### sid

    public static final byte sid

See Also:
  Constant Field Values

### instance

    public static final OperationPtg instance

Method Detail

### isBaseToken

    public final boolean isBaseToken()

  Specified by:
    `isBaseToken` in class `Ptg`
  Returns:
    `false` if this token is classified as 'reference', 'value', or 'array'

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(java.lang.String[] operands)

  implementation of method from OperationsPtg

  Specified by:
    `toFormulaString` in class `OperationPtg`
  See Also:
    `OperationPtg.getNumberOfOperands()`

### getNumberOfOperands

    public int getNumberOfOperands()

  Description copied from class: `OperationPtg`
  The number of operands expected by the operations

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.